/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.pdfbox.exceptions;

import java.io.IOException;

/**
 * An exception that indicates that something has gone wrong during
 * the parsing of PDF objects.
 *
 * @version $Revision: 1.0 $
 */
public class BadPDFFormat extends IOException {
	
    /**
     * constructor comment.
     *
     * @param e The root exception that caused this exception.
     */
    public BadPDFFormat( String errMsg )
    {
        super( errMsg );
    }

    /**
     * constructor comment.
     *
     * @param message Descriptive text for the exception.
     * @param e The root exception that caused this exception.
     */
    public BadPDFFormat( String message, Throwable e )
    {
        super( message);
        initCause( e );
    }

}
